Bug 210413 - vidcontrol -c <normal|blink|destructive> does not work with vt(4)
Summary: vidcontrol -c <normal|blink|destructive> does not work with vt(4)
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL: https://reviews.freebsd.org/D11753
Keywords: vt
Depends on:
Blocks: 203349 231027
  Show dependency treegraph
 
Reported: 2016-06-20 18:38 UTC by Ed Maste
Modified: 2018-08-30 17:15 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-06-20 18:38:09 UTC
As reported on FreeBSD-current[1] setting the blink style via vidcontrol -c does not work with vt(4).

> I found the cause of this boot time message
> "vicontrol: setting cursor type: Inappropriate ioctl for device"
>
> In my rc.conf I had this statement
> vidcontrol -c blink -h 250
> From testing it seems that vt does not handle the "blink" option for causing the cursor to blink.

[1] https://lists.freebsd.org/pipermail/freebsd-current/2016-June/062015.html
Comment 1 Ed Maste freebsd_committer 2016-06-20 20:16:08 UTC
The CONS_CURSORTYPE ioctl used by vidcontrol -c is marked obsolete as of r81030[1], which reports that the ve/vi/vs capabilities in termcap cons25 can be used to set the desired cursor attributes (although that is not implemented in vt(4) either).

[1] https://svnweb.freebsd.org/changeset/base/81030
Comment 2 Ben RUBSON 2016-09-15 13:22:34 UTC
I'm facing the same issue with the following in my rc.conf :
cursor="blink"

I then temporarily switched back to sc using the following in my /boot/loader.conf :
kern.vty="sc"

Would then be nice for vt to support blinking cursor.

Many thanks !
Comment 3 Ben RUBSON 2018-04-25 11:23:37 UTC
Can D11753 be merged (and backported to stable/11) ?
Many thanks !
Comment 4 Jean-Sébastien Pédron freebsd_committer 2018-06-10 16:09:25 UTC
I added a comment to the review above. To me, the patch is not ready to be committed.